# Services

Vous trouverez dans ce dépôt l'ensemble des services Open Source que je propose.

## Comment ça marche ?

Vous pouvez réutiliser ce dépôt pour votre infrastructure.

J'ai mis une documentation dans le dossier [_example_][example]

## Commandes

### Docker et Docker Compose

L'ensemble des services est géré avec [Docker][docker] et [Docker Compose][docker-compose].

Voici les commandes de base :

- `docker-compose up -d` : Permet de lancer un service
- `docker-compose down -v` : Permet de supprimer un service (avec l'option -v on supprime aussi les volumes donc attention de pas perdre des données)

### ./run

Vous pourrez trouver dans les dossiers des services un script bash `run`. Le principe est de faciliter la maintenance de chaque service.

Vous pouvez lancer le script sans paramètre pour afficher la documentation du script.

## Liste des services

### Pour les devs

- [PostgreSQL][postgres] : PostgreSQL est un système de gestion de base de données relationnelle et objet.
- [Gitea][gitea] : Un service Git auto-hébergé très simple à installer et à utiliser. Il est similaire à GitHub, Bitbucket ou Gitlab.

### Pour les ops

- [Traefik][traefik] : Traefik, un reverse-proxy pour vos conteneurs

## Informations

### `set -eu` ?

En haut de chaque script il y a `set -eu` qui veut dire :
- -e  Exit immediately if a command exits with a non-zero status.
- -u  Treat unset variables as an error when substituting.

[example]: ./example
[docker]: https://docs.docker.com/engine/
[docker-compose]: https://docs.docker.com/compose/
[postgres]: ./postgres
[gitea]: ./gitea
[traefik]: ./traefik
